Skip to main content
`Ctrl`+`K`

# RGCheckInside

Determines if a set of given points are inside the region or not.

## Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGCheckInside(RG rg,PetscInt n,PetscScalar ar[],PetscScalar ai[],PetscInt inside[])

Not Collective

## Input Parameters

- rg - the region context

- n - number of points to check

- ar - array of real parts

- ai - array of imaginary parts

## Output Parameter

- inside - array of results (1=inside, 0=on the contour, -1=outside)

## Notes

The point `a` is expressed as a couple of `PetscScalar` variables `ar`, `ai`. If built with complex scalars, the point is supposed to be stored in `ar`, otherwise `ar`, `ai` contain the real and imaginary parts, respectively.

If a scaling factor was set, the points are scaled before checking.

## See Also

RG: Region, `RGSetScale()`, `RGSetComplement()`

## Level

intermediate

## Location

src/sys/classes/rg/interface/rgbasic.c

## Implementations

RGCheckInside_Ellipse() in src/sys/classes/rg/impls/ellipse/rgellipse.c
RGCheckInside_Interval() in src/sys/classes/rg/impls/interval/rginterval.c
RGCheckInside_Polygon() in src/sys/classes/rg/impls/polygon/rgpolygon.c
RGCheckInside_Ring() in src/sys/classes/rg/impls/ring/rgring.c

Index of all RG routines Table of Contents for all manual pages Index of all manual pages